Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 597720 - Touchscreen does not work on x86_64 (but does on i686)
Touchscreen does not work on x86_64 (but does on i686)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-wacom (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-30 05:51 EDT by Gerold Kassube
Modified: 2018-04-11 04:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:05:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
00-system-setup-keyboard.conf (322 bytes, text/plain)
2010-06-06 01:46 EDT, Gerold Kassube
no flags Details
dmesg (54.78 KB, text/plain)
2010-06-06 01:47 EDT, Gerold Kassube
no flags Details
messages (173.18 KB, text/plain)
2010-06-06 01:48 EDT, Gerold Kassube
no flags Details
Xorg.o.log (68.51 KB, text/plain)
2010-06-06 01:48 EDT, Gerold Kassube
no flags Details

  None (edit)
Description Gerold Kassube 2010-05-30 05:51:13 EDT
Description of problem:
Touchscreen does not work (the touch part of the screen) in x86_64 Version of F13 but it works on i686. I can install the i686 Version screen is detected and works properly

Also, during the installation of x86_64, the graphical mode does not work (not with vesa drivers either), I had to install in text mode. Installing i686 in graphical mode does work.

/me suspects a driver problem.

Version-Release number of selected component (if applicable):

$ rpm -qa xorg-x11\*
xorg-x11-server-common-1.8.0-12.fc13
xorg-x11-drv-tdfx-1.4.3-2.fc13
xorg-x11-drv-penmount-1.4.0-6.fc13
xorg-x11-drv-glint-1.2.4-2.fc13
xorg-x11-drv-openchrome-0.2.904-6.fc13
xorg-x11-drv-mutouch-1.2.1-6.fc13
xorg-x11-drv-aiptek-1.3.0-3.fc13
xorg-x11-drv-trident-1.3.3-2.fc13
xorg-x11-drv-i128-1.3.3-2.fc13
xorg-x11-drv-ast-0.89.9-1.fc12
xorg-x11-drv-acecad-1.4.0-3.fc13
xorg-x11-font-utils-7.2-11.fc13
xorg-x11-xinit-1.0.9-16.fc13
xorg-x11-drv-mga-1.4.11-2.fc13
xorg-x11-xauth-1.0.2-7.fc12
xorg-x11-drv-mach64-6.8.2-2.fc13
xorg-x11-drv-s3virge-1.10.4-2.fc13
xorg-x11-drv-v4l-0.2.0-4.fc13.1
xorg-x11-drv-apm-1.2.2-1.fc12
xorg-x11-proto-devel-7.4-36.fc13
xorg-x11-drivers-7.3-14.fc13
xorg-x11-server-Xephyr-1.8.0-12.fc13
xorg-x11-drv-evdev-2.4.0-2.fc13
xorg-x11-fonts-ISO8859-1-100dpi-7.2-9.fc12
xorg-x11-drv-voodoo-1.2.3-2.fc13
xorg-x11-drv-ati-6.13.0-1.fc13
xorg-x11-utils-7.4-9.fc13
xorg-x11-drv-keyboard-1.4.0-4.fc13
xorg-x11-drv-elographics-1.2.3-6.fc13
xorg-x11-drv-i740-1.3.2-2.fc13
xorg-x11-xkb-utils-7.4-7.fc13
xorg-x11-resutils-7.1-10.fc13
xorg-x11-drv-intel-2.11.0-4.fc13
xorg-x11-drv-sis-0.10.2-2.fc13
xorg-x11-drv-nv-2.1.15-5.fc13
xorg-x11-drv-nouveau-0.0.16-6.20100423git13c1043.fc13
xorg-x11-drv-sisusb-0.9.3-2.fc13
xorg-x11-drv-void-1.3.0-5.fc13
xorg-x11-drv-cirrus-1.3.2-2.fc13
xorg-x11-drv-geode-2.11.4.1-2.fc13
xorg-x11-drv-synaptics-1.2.2-6.fc13
xorg-x11-drv-mouse-1.5.0-4.fc13
xorg-x11-drv-savage-2.3.1-2.fc13
xorg-x11-apps-7.4-13.fc13
xorg-x11-drv-vesa-2.3.0-1.fc13
xorg-x11-drv-neomagic-1.2.4-3.fc13
xorg-x11-server-utils-7.4-16.fc13
xorg-x11-drv-fpit-1.3.0-10.fc13
xorg-x11-drv-fbdev-0.4.1-3.fc13
xorg-x11-drv-siliconmotion-1.7.3-3.20100122.fc13
xorg-x11-fonts-misc-7.2-9.fc12
xorg-x11-drv-vmware-10.16.7-3.fc13
xorg-x11-drv-rendition-4.2.2-5.fc13
xorg-x11-drv-r128-6.8.1-3.fc13
xorg-x11-drv-dummy-0.3.3-2.fc13
xorg-x11-server-Xorg-1.8.0-12.fc13
xorg-x11-drv-hyperpen-1.3.0-4.fc13
xorg-x11-drv-vmmouse-12.6.9-2.fc13
xorg-x11-drv-wacom-0.10.6-3.fc13

How reproducible:

every time,  tried several installations and adding packages and so forth

Steps to Reproduce:
1. install x86_64, in text modus
2. start gnome,
3. touchscreen doesn't work
  
Additional info:

Smolt profile: http://www.smolts.org/client/show/pub_6e4c7aa0-36ae-43a2-b78d-eb6665ca9d35
Kernel version (works): kernel-PAE-2.6.33.4-95.fc13.i686
Kernel version (does not work): kernel-2.6.33.4-95.fc13.x86_64
Comment 1 Matěj Cepl 2010-06-01 13:31:38 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Gerold Kassube 2010-06-06 01:46:46 EDT
Created attachment 421542 [details]
00-system-setup-keyboard.conf

I haven't a xorg.conf; I atached the /etc/X11/xorf.conf.d/00-system-setup-keyboard.conf hopefully it is helpfull
Comment 3 Gerold Kassube 2010-06-06 01:47:43 EDT
Created attachment 421543 [details]
dmesg
Comment 4 Gerold Kassube 2010-06-06 01:48:11 EDT
Created attachment 421544 [details]
messages
Comment 5 Gerold Kassube 2010-06-06 01:48:39 EDT
Created attachment 421545 [details]
Xorg.o.log
Comment 6 Matěj Cepl 2010-06-07 07:19:56 EDT
dmesg:

wnck-applet[6605]: segfault at 0 ip 0000000000404fe9 sp 00007fff6fc90d60 error 4 in wnck-applet[400000+d000]

Otherwise concerning touchscreen, it looks like it is recognized as a Wacom tablet correctly. Passing to developers.
Comment 7 Peter Hutterer 2010-06-18 00:29:52 EDT
is the i686 Xorg.log the same? i.e. is the device asssigned the wacom driver (I hope so :)
Comment 8 Bug Zapper 2011-06-02 08:48:04 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2011-06-27 13:05:03 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.